<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name', 300);
            $table->string('email', 250)->unique();
            $table->string('phone', 14)->nullable()->unique();
            $table->string('photo', 300)->nullable();
            $table->string('password', 100);
            $table->date('birth_date')->nullable();
//            $table->string('bank_name', 50)->nullable();
//            $table->string('iban', 50)->nullable();
//            $table->string('account_number', 50)->nullable();
//            $table->string('card_holder', 50)->nullable();
//            $table->tinyInteger('country_id')->nullable();
//            $table->tinyInteger('city_id')->nullable();
//            $table->string('address', 100)->nullable();
            $table->enum('role',['admin','user'])->default('user');

            $table->string('admin_token', 1000)->nullable();
            $table->timestamp('email_verified_at')->nullable();
            $table->rememberToken();
            $table->timestamps();
            $table->softDeletes();

            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
